> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment.md).

# Connecting endpoint devices to Nexthink

This section describes the detailed sequence for connecting endpoint devices (desktops, laptops) to Nexthink.

{% stepper %}
{% step %}

#### Set up device configuration profiles

If you are installing or deploying Collector version 26.5 or later, configure the following data collection parameters in Nexthink before starting the installation. Navigate to the **Administration > Data management >** **Device configuration profiles** dashboard and configure:

* User name
* User Principal Name (UPN)
* Application focus time
* User interaction time
* Wi-Fi network name
* Network connections
* Network connections (advanced filtering)

Do not configure these parameters through Remote actions or other classic methods. The system ignores these configuration methods for the listed parameters from Collector version 26.5 onwards.

Refer to [Device configuration profiles](/platform/user-guide/administration/system-configuration/data-management/device-configuration-profiles.md) for instructions.
{% endstep %}

{% step %}

#### Configure and install Collector on a single device

Manually configure and install Nexthink Collector on a device to prepare it for deployment.

1. [Configure Collector for Windows](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/configuring-collector-for-endpoint-devices.md)
2. [Install Collector on a single Windows device](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/installing-collector-on-a-single-device.md)
3. [Configure and install Collector on a single macOS device](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-macos.md)

{% hint style="warning" %}
Once Collector is installed, access [Collector management](/platform/user-guide/administration/system-configuration/collector-management.md) and confirm the Collector agent is visible in the environment.
{% endhint %}
{% endstep %}

{% step %}

#### Deploy Collector on employee endpoint devices

Deploy Nexthink Collector on employee devices using UEM, MECM or GPO or Jamf.

For detailed instructions, refer to:

* Windows:
  * [Deploying Collector on Windows](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/deploying-collector-on-windows-tp.md)
* macOS:
  * [Deploying Collector in Jamf](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-macos/jamf-deployment-tp.md)
  * [Deploying Collector in Intune](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-macos/intune-deployment-tp.md)
    {% endstep %}

{% step %}

#### Deploy browser extensions on employee endpoint devices

* [Deploy the Nexthink browser extension](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-the-nexthink-browser-extension.md) on employee devices.
* If you have purchased Amplify, deploy the Amplify browser extension.
  * [Install and configure Amplify](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/configure-amplify/installation-and-configuration.md)
  * [Deploy Amplify to multiple devices](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/configure-amplify/extension-deployment.md)
    {% endstep %}

{% step %}

#### Optional — Install VDI Client Extension

Install the [VDI Client Extension](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/installing-the-nexthink-vdi-client-extension.md) on unmanaged and bring your own devices.
{% endstep %}

{% step %}

#### Update device configuration profile assignments

Update the NQL queries in the Device configuration profiles to target the intended device groups

After updating the profiles, use the following NQL query in Investigations to verify that the **Applied configuration profile** and **Target configuration profile** fields match.

{% code overflow="wrap" %}

```sql
devices
| list device.name, device.collector.configuration_profile, device.collector.target_configuration_profile
```

{% endcode %}
{% endstep %}
{% endstepper %}

***

RELATED CONTENT:

* [Deploying Nexthink in VDI environment](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment.md)
* [Connecting mobile devices to Nexthink](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/connecting-mobile-devices-to-nexthink.md)
* [Installing Collector on Windows](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md)
* [Installing Collector on macOS](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-macos.md)
* [Installing the Nexthink browser extension](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-the-nexthink-browser-extension.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
